帮酷LOGO
0 0 评论
  • 显示原文与译文双语对照的内容
文章标签:蓝牙  Required  DIR  Systemd  Require  系统  SYS  Ubuntu  

问题:

我正在Ubuntu上安装 bluez,在运行. /configure 时,我正在得到这个错误消息。


checking systemd system unit dir... configure: error: systemd system unit directory is required



如何解决这里问题?


回答 1:

我使用 Mint,在安装BlueZ时遇到同样的问题。 google找到了你的确切问题。 要解决这个问题,必须添加--with-systemdsystemunitdir和--with-systemduserunitdir配置选项。 由于Mint和Ubuntu有很多共同之处,你可能会发现它对你也很有用。 完整的命令行 如下。 你可能想去掉--enable-experimental标志,这样你就不会得到实验插件。


./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc --localstatedir=/var --enable-experimental --with-systemdsystemunitdir=/lib/systemd/system --with-systemduserunitdir=/usr/lib/systemd




回答 2:

在没有 systemD的情况下配置它。它的工作方式如下:


./configure --disable-systemd






文章标签:SYS  系统  DIR  Ubuntu  Require  蓝牙  Required  Systemd  

Copyright © 2011 HelpLib All rights reserved.    知识分享协议 京ICP备05059198号-3  |  如果智培  |  酷兔英语